QGIS Application - Bug report #19167
Colors of text notes in a GTK-themed QGIS
2018-06-11 05:04 PM - John Smith

Status: Closed

Priority: Low

Assignee:

Category: Map Tools

Affected QGIS version:2.18.20 Regression?: No
Operating System: Debian 9 Easy fix?: Yes

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 26996
Description

Under Debian with Gnome 3.28, where the GTK theme consist of generally dark brown backgrounds and bright yellow texts, QGIS's
interface integrates pretty well. Except for text notes, where the note-editing form displays a white background (which appears odd but
somewhat legitimate) and where the default text color is yellow, like my GTK theme, which is then barely visible on the white background.
At that point, when the pop-up editing form is just opened, the color-picker for the text indicates black whereas what | write appears
yellow. If | want actual black, | need to click on the color-picker, move any cursor to alter the default black color and put the cursor back to
its initial position before I click on "OK".

| think that if the white background is to be kept whatever the Ul theme, the text should be black by default, not the color suggested by the
GTK theme. Or, there could be a background more GTK-theme-compliant and the text color that is delivered with it.

History

#1 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugdfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.
You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
